AnnotatedTextComponent
Component defined in ui/AnnotatedTextComponent.js#16 inherits from

Renders an anotated text. Used internally by ui/TextPropertyComponent.

Props

path | String[] | The property to be rendered.

this.render()
Method defined in ui/AnnotatedTextComponent.js#27

Node render implementation. Use model/Fragmenter for rendering of annotations.

Returns

VirtualNode | VirtualNode created using ui/Component

this.getDocument()
Method defined in ui/AnnotatedTextComponent.js#103

Gets document instance.

Returns

Document | The document instance